﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Calendar
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
            Calendar.DateChanged += new EventHandler(Calendar_DateChanged);
        }

        void Calendar_DateChanged(object sender, EventArgs e)
        {
            datePicker.SelectedDate = Calendar.CurrentDate;
        }

        private void buttonPre_Click(object sender, RoutedEventArgs e)
        {
            Calendar.MoveDays(-7);
        }

        private void buttonForward_Click(object sender, RoutedEventArgs e)
        {
            Calendar.MoveDays(7);
        }

        private void datePicker_SelectedDateChanged(object sender, SelectionChangedEventArgs e)
        {
            Calendar.CurrentDate = datePicker.SelectedDate.Value;
        }

    }
}
